VME Intensity Monitor - Task #10317
Milestone # 9388 (New): 2015 Shutdown
Task # 10268 (Closed): Create MI BBM Devices

BBM Testing
09/25/2015 10:41 AM - Roger Tokarek

Status: Closed Start date: 09/25/2015
Priority: High Due date: 09/28/2015
Assignee: Roger Tokarek % Done: 100%
Category: Estimated time: 5.00 hours
Target version: Spent time: 8.50 hours
Description

Using W. Marsh's Z-Page BBM Test Program check BBM devices:

1:BM852 m10tor
E:BM860 m10tor
R:BBM853 mit4tor
R:BBM905 mi30tor

e o o o

History

#1 - 09/25/2015 02:02 PM - Roger Tokarek
- % Done changed from 0 to 50

BBM First Pass Testing Results

1:BM852 m10tor okay
E:BM860 m10tor okay
R:BBM853 mii4tor not okay
R:BBM905 mi30tor not okay

At time of testing we are running two different versions of VMEInt: m10tor (older) and mi14tor & mi30tor (newer).
These test are preliminary and will need to be repeated when the code versions are reconciled.

#2 - 09/29/2015 02:44 PM - Roger Tokarek

September 29, 2015, 1431, Results:

1:BM852 idx 0 ssdn ch0 0xBE 58 msecs tests okay

E:BM860 idx 0 ssdn ch1 0xBE 58 msecs tests okay

R:BBM853 idx 0 ssdn ch0 0xBE 58 msecs tests okay

R:BBM905 idx 0 ssdn ch0 0xBE 28 msecs tests okay? "Present Number" incrementing, "Sum" remains 0, no test signal?

#3 - 10/06/2015 03:32 PM - Roger Tokarek

- % Done changed from 50 to 90

October 6, 2015, 1530,

Z-Page BBM Test Results:

1:BM852 m10tor idx 0 ssdn chO 0xBE 58 msecs tests okay
E:BM860 m10tor idx 0 ssdn ch1 OxBE 58 msecs tests okay

R:BBM853 mit4tor idx 0 ssdn chO OxBE 58 msecs tests okay
R:BBM905 mi30tor idx 0 ssdn ch0 OxBE 58 msecs tests okay

#4 - 10/09/2015 10:46 AM - John Diamond

Fixed a bug that was causing the BBM sum to always increment by reading intensity/toroid channel #0.

#5 - 10/09/2015 05:36 PM - Roger Tokarek
- % Done changed from 90 to 100

October 9, 2015, 1730
All new BBMs test okay.

® |:BM852
e E:BM860
* R:BBM853
* R:BBM905

#6 - 10/12/2015 08:35 AM - Roger Tokarek
Final check, all new BBMs test okay.

e |:BM852

* E:BM860

* R:BBM853
* R:BBM905

#7 - 10/12/2015 02:11 PM - John Diamond
Bill Marsh raised two concerns:
e When he sent a BBM mapping with Tclk Event set to 0x800000?? he was able to crash our software, possibly due to the high-order bit being set.
I modified the BBM code to mask-out the upper 24-bits to prevent this from happening.
¢ The BBM sum is not handling negative readings from the toroid properly. The effect is such that when there's no beam the negative noise is

contributing to the sum rather than cancelling out the positive noise. Turns out that in the code there is an abs() call around the readIntensity()
call. | removed this.

#8 - 08/02/2016 01:38 PM - Roger Tokarek

- Status changed from New to Closed
